package various;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.*;

/**Serwlet do obsługi żądań po stronie serwera. Serwlet omija szkielet JSF 
 * i sam generuje odpowiedź na żądanie. Dotyczy przykadu licznika z rozdzialu 5.5.
 *
 */
public class AJAXServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
   
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		response.setContentType("text/plain");
		response.setHeader("Cache-Control", "no-cache");
		response.setStatus(HttpServletResponse.SC_OK);		
		Counter count = (Counter) request.getSession().getAttribute("count");
		response.getWriter().write(count.getCount().toString());
	}

	
}
